Skip to main content
GET
Retrieve a conversation

Authorizations

Authorization
string
header
required

A secret key (dk_live_…). Scopes: conversations:read, contacts:read, contacts:write, meetings:read, analytics:read, events:read, webhooks:write, knowledge:read, knowledge:write, agent:read, agent:write, experiments:read, experiments:write, privacy:write, chat:write.

Path Parameters

id
string
required

Query Parameters

expand[]
string

messages: include the transcript.

Response

OK

id
string
required
Pattern: ^conv_
Example:

"conv_c-1760280000000-k3j9"

object
string
required
Allowed value: "conversation"
created_at
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
updated_at
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
page_url
string | null
required
page_path
string | null
required
outcome
enum<string>
required
Available options:
meeting,
lead,
handoff,
none
message_count
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
preview
string | null
required

The visitor's first message, up to 160 characters.

contact
string | null
required

The contact's id. Needs contacts:read.

lead
object
required
booking
object
required
handoff
object | null
required
visitor
object
required
opening
object | null
required
evaluation
object | null
required

Darwin's grading, once the conversation has gone quiet.

test
boolean
required
admin_url
string
required

This conversation in the Darwin admin, for a link in Slack or a CRM note.

messages
object[]

With expand[]=messages.